﻿using DevExpress.Xpf.Editors;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using TimeTecAPIDemo.Model;

namespace TimeTecAPIDemo
{
    /// <summary>
    /// Interaction logic for InsertUserForm.xaml
    /// </summary>
    public partial class InserUserForm
    {
        public InserUserForm()
        {
            InitializeComponent();

            LoadData();
        }

        public void LoadData()
        {
            //this.Cursor = Cursors.Wait;
            //BackgroundWorker worker = new BackgroundWorker();
            //worker.RunWorkerAsync();
            //worker.DoWork += delegate(object s, DoWorkEventArgs args)
            //{
                /*try
                {
                    Function.userinfobyidresult = Function.LoadDataFromWebservice("UserInfoByID");
                }
                catch (Exception ex)
                {
                    MessageBox.Show(ex.ToString());
                } */
            //};
            //worker.RunWorkerCompleted += delegate(object s, RunWorkerCompletedEventArgs args)
            //{
               /* List<UserInfoObj> obj = Function.userinfobyidresult as List<UserInfoObj>;
                if (obj != null)
                {
                    UserInfoObj uo = obj[0] as UserInfoObj;
                    txtName.Text = uo.Name;
                    txtAlias.Text = uo.Alias;
                    cbGender.EditValue = uo.Gender;
                    if(uo.DateOfBirth_f != "")
                        deDOB.SelectedText = uo.DateOfBirth_f;
                    txtNationality.Text = uo.Nationality;
                    txtRace.Text = uo.Race;
                    txtNationalID.Text = uo.ID;
                    txtReligion.Text = uo.Religion;
                    txtHomeAddress.Text = uo.Address;
                    txtMobileContact.Text = uo.Phone;
                    txtEmail.Text = uo.PersonalEmail;
                    txtEmploymentID.Text = uo.Employee_ID;
                    txtDesignation.Text = uo.Designation;
                    txtSSI.Text = uo.SSN;
                    if (uo.JoinedDate_f != "")
                        deJoinedDate.SelectedText = uo.JoinedDate_f;
                    txtBranch.Text = uo.Branch;
                    txtDepartment.Text = uo.Department;
                    txtSection.Text = uo.Section;
                    txtGroupDutyRoster.Text = uo.GroupNo;
                    txtRateHour.Text = uo.HourRate;
                    cbTimeZone.EditValue = uo.Timezone;
                    txtRemark.Text = uo.Remark;
                    if (uo.IssueDate_f != "")
                        deIssuanceDate.SelectedText = uo.IssueDate_f;
                    if (uo.ExpireDate_f != "")
                        deExpiryDate.SelectedText = uo.ExpireDate_f;
                    cbLiveChat.EditValue = uo.AllowLiveChat;
                    if (uo.SuspendDate != "")
                        cbSuspended.SelectedIndex = 0;
                    else
                        cbSuspended.SelectedIndex = 1;


                } */
            //    //grid.ItemsSource = Function.userinforesult;
            //    this.Cursor = Cursors.Arrow;
            //};
        }

        private void DXWindow_MouseDown(object sender, MouseButtonEventArgs e)
        {
            if (e.ChangedButton == MouseButton.Left)
                DragMove();
        }

        private void btnClose_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }

        private void btnSubmit_Click(object sender, RoutedEventArgs e)
        {
            Function.Name = txtName.Text;
            Function.Alias = txtAlias.Text;
            if (cbGender.EditValue != null)
                Function.Gender = cbGender.EditValue.ToString();
            if (deDOB.EditValue != null)
                Function.DOB = Convert.ToDateTime(deDOB.EditValue).ToString("yyyy-MM-dd");
            Function.Nationality = txtNationality.Text;
            Function.Race = txtRace.Text;
            Function.NationalID = txtNationalID.Text;
            Function.Religion = txtReligion.Text;
            Function.HomeAddress = txtHomeAddress.Text;
            Function.MobileContact = txtMobileContact.Text;
            Function.PersonalEmail = txtEmail.Text;
            Function.EmploymentID = txtEmploymentID.Text;
            Function.Designation = txtDesignation.Text;
            Function.SSI = txtSSI.Text;
            if (deJoinedDate.EditValue != null)
                Function.JoinedDate = Convert.ToDateTime(deJoinedDate.EditValue).ToString("yyyy-MM-dd");
            Function.Branch = txtBranch.Text;
            Function.Department = txtDepartment.Text;
            Function.Section = txtSection.Text;
            Function.GroupDutyRoster = txtGroupDutyRoster.Text;
            Function.RateHour = txtRateHour.Text;
            if (cbTimeZone.EditValue != null)
                Function.TimeZone = cbTimeZone.EditValue.ToString();
            Function.Remark = txtRemark.Text;
            Function.TimeTecUserID = txtTimeTecUserID.Text;
            if (deIssuanceDate.EditValue != null)
                Function.IssuanceDate = Convert.ToDateTime(deIssuanceDate.EditValue).ToString("yyyy-MM-dd");
            if (deExpiryDate.EditValue != null)
                Function.ExpiryDate = Convert.ToDateTime(deExpiryDate.EditValue).ToString("yyyy-MM-dd");
            string orderedMessage = "";
            string ErrorMessage = Function.SetFunction_AddUser();
            string[] words = ErrorMessage.Split(';');
            foreach (string result in words)
            {
                if (result != "")
                {
                    orderedMessage = orderedMessage + result + "\n";
                }
            }
            if (orderedMessage != "")
                MessageBox.Show(orderedMessage);
            else
            {
                Close();
                MessageBox.Show("Insert user successfully");
            }
        }

        private void cbGender_Loaded(object sender, RoutedEventArgs e)
        {
            List<string> data = new List<string>();
            data.Add("");
            data.Add("Female");
            data.Add("Male");

            var comboBox = sender as ComboBoxEdit;
            comboBox.ItemsSource = data;
            //comboBox.SelectedIndex = 0;
        }

        private void cbBranch_Loaded(object sender, RoutedEventArgs e)
        {

        }

        private void cbDepartment_Loaded(object sender, RoutedEventArgs e)
        {

        }

        private void cbSection_Loaded(object sender, RoutedEventArgs e)
        {

        }

        private void cbTimeZone_Loaded(object sender, RoutedEventArgs e)
        {
            List<string> data = new List<string>();
            data.Add("");
            data.AddRange(Function.GetTimeZoneList());

            var comboBox = sender as ComboBoxEdit;
            comboBox.ItemsSource = data;
            //comboBox.SelectedIndex = 0;
        }

        private void cbSuspended_Loaded(object sender, RoutedEventArgs e)
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("cbVal", typeof(string));
            dt.Columns.Add("cbText", typeof(string));
            dt.Rows.Add("1", "Yes");
            dt.Rows.Add("0", "No");

            var comboBox = sender as ComboBoxEdit;
            comboBox.ItemsSource = dt;
            comboBox.ValueMember = "cbVal";
            comboBox.DisplayMember = "cbText";
            //comboBox.SelectedIndex = 0;
        }
    }
}
