﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TimeTecAPIDemo.Model
{
    public class UsersObj
    {
        public string Company_ID { get; set; }
        public int User_ID { get; set; }
        public string Employee_ID { get; set; }
        public string Name { get; set; }
        public string Branch { get; set; }
        public string Department { get; set; }
        public string Section { get; set; }
        public string SSN { get; set; }
        public string ID { get; set; }
        public string Phone { get; set; }
        public string Email { get; set; }
        public string Address { get; set; }
        public string HourRate { get; set; }
        public string GroupNo { get; set; }
        public string Privilege { get; set; }
        public string Username { get; set; }
        public string CardNo { get; set; }
        public string WebAble { get; set; }
        public string Mobile_ID { get; set; }
        public string MobileAble { get; set; }
        public string CreateDate { get; set; }
        public string LastUpdate { get; set; }
        public string SuspendDate { get; set; }
        public string LastSignIn { get; set; }
        public string IssueDate { get; set; }
        public string ExpireDate { get; set; }
        public string Remark { get; set; }
        public string Timezone { get; set; }
        public string DST { get; set; }
        public string UserType { get; set; }
        public string OrganizationStructureID { get; set; }
        public string OrganizationStructure { get; set; }
        public List<FingerprintO> Fingerprint_9 { get; set; }
        public List<FingerprintO> Fingerprint_10 { get; set; }
    }

    public class UserInfoResult
    {
        public string Status { get; set; }
        public List<UsersObj> UsersObj { get; set; }
    }

    public class UserInfoJsonObject
    {
        public string ErrorMessage { get; set; }
        public UserInfoResult Result { get; set; }
    }

    public class UserInfoObj
    {
        public string Company_ID { get; set; }
        public int User_ID { get; set; }
        public string Employee_ID { get; set; }
        public string Name { get; set; }
        public string Branch { get; set; }
        public string Department { get; set; }
        public string Section { get; set; }
        public string SSN { get; set; }
        public string ID { get; set; }
        public string Phone { get; set; }
        public string Email { get; set; }
        public string Address { get; set; }
        public string HourRate { get; set; }
        public string GroupNo { get; set; }
        public string Privilege { get; set; }
        public string Username { get; set; }
        public string CardNo { get; set; }
        public string WebAble { get; set; }
        public string Mobile_ID { get; set; }
        public string MobileAble { get; set; }
        public string CreateDate { get; set; }
        public string LastUpdate { get; set; }
        public string SuspendDate { get; set; }
        public string LastSignIn { get; set; }
        public string IssueDate_f { get; set; }
        public string ExpireDate_f { get; set; }
        public string Remark { get; set; }
        public string Timezone { get; set; }
        public string DST { get; set; }
        public string UserType { get; set; }
        public List<FingerprintO> Fingerprint_9 { get; set; }
        public List<FingerprintO> Fingerprint_10 { get; set; }
        public string Alias { get; set; }
        public string Gender { get; set; }
        public string DateOfBirth_f { get; set; }
        public string Nationality { get; set; }
        public string Race { get; set; }
        public string Religion { get; set; }
        public string PersonalEmail { get; set; }
        public string Designation { get; set; }
        public string JoinedDate_f { get; set; }
        public string AllowLiveChat { get; set; }
        public string OrganizationStructureID { get; set; }
        public string OrganizationStructure { get; set; }
    }

    public class UserInfoByIDResult
    {
        public string Status { get; set; }
        public List<UserInfoObj> UserInfoObj { get; set; }
    }

    public class UserInfoByIDJsonObject
    {
        public string ErrorMessage { get; set; }
        public UserInfoByIDResult Result { get; set; }
    }
}
