﻿using DevExpress.Xpf.WindowsUI;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using TimeTecAPIDemo.Model;

namespace TimeTecAPIDemo
{
    /// <summary>
    /// Interaction logic for TerminalUserInfo.xaml
    /// </summary>
    public partial class TerminalUserInfo : UserControl
    {
        object terminaluserinforesult = null;

        public TerminalUserInfo()
        {
            InitializeComponent();
            Function.currentPage = "TerminalUserInfo";
            LoadData();
        }

        public void LoadData()
        {
            try
            {
                if (Function.SerialNo != "")
                {
                    terminaluserinforesult = Function.LoadDataFromWebservice("TerminalUserInfo");
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.ToString());
            }

            txtSerialNo.Text = Function.SerialNo;
            grid.BeginDataUpdate();
            grid.ItemsSource = terminaluserinforesult;
            grid.EndDataUpdate();
            grid.RefreshData();
        }

        private void txtTerminalInfo_MouseDown(object sender, MouseButtonEventArgs e)
        {
            TerminalInfoGrid page = new TerminalInfoGrid();
            var frame = DevExpress.Xpf.Core.Native.LayoutHelper.FindParentObject<NavigationFrame>(this);
            frame.Navigate(page);
        }

    }
}
